org.postgis.jts

## Class JTSShape.GeometryCollectionPathIterator

- java.lang.Object
- - org.postgis.jts.JTSShape.GeometryPathIterator
  - - org.postgis.jts.JTSShape.GeometryCollectionPathIterator

All Implemented Interfaces:
  PathIterator

Enclosing class:
  JTSShape

    public static class JTSShape.GeometryCollectionPathIterator
    extends JTSShape.GeometryPathIterator

### Field Summary

### Fields inherited from class org.postgis.jts.JTSShape.GeometryPathIterator

`at, index`

### Fields inherited from interface java.awt.geom.PathIterator

`SEG_CLOSE, SEG_CUBICTO, SEG_LINETO, SEG_MOVETO, SEG_QUADTO, WIND_EVEN_ODD, WIND_NON_ZERO`

### Constructor Summary

Constructors
Constructor and Description
`GeometryCollectionPathIterator(com.vividsolutions.jts.geom.GeometryCollection _coll, AffineTransform _at)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `currentSegment(double[] coords)`
`int` `currentSegment(float[] coords)`
`boolean` `isDone()`
`void` `next()`

### Methods inherited from class org.postgis.jts.JTSShape.GeometryPathIterator

`getWindingRule`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GeometryCollectionPathIterator

    public GeometryCollectionPathIterator(com.vividsolutions.jts.geom.GeometryCollection _coll,
                                          AffineTransform _at)

### Method Detail

#### isDone

    public boolean isDone()

#### next

    public void next()

Specified by:
  `next` in interface `PathIterator`
Overrides:
  `next` in class `JTSShape.GeometryPathIterator`

#### currentSegment

    public int currentSegment(float[] coords)

#### currentSegment

    public int currentSegment(double[] coords)